Package org.python.core.finalization

# Interface FinalizableBuiltin

All Known Implementing Classes:
  `PyBZ2File`, `PyBZ2FileDerived`, `PyFile`, `PyFileDerived`, `PyFileIO`, `PyFileIODerived`, `PyGenerator`, `PyIOBase`, `PyIOBaseDerived`, `PyRawIOBase`, `PyRawIOBaseDerived`

public interface FinalizableBuiltin
See documentation of `FinalizablePyObject`.

## Method Summary

Modifier and Type
Method
Description
`void`
`__del_builtin__()`
`__del_builtin__()` is the built-in's own finalizer, while `FinalizablePyObjectDerived.__del_derived__()` refers to an instance's in-dict `__del__`.

## Method Details

### __del_builtin__

void __del_builtin__()
`__del_builtin__()` is the built-in's own finalizer, while `FinalizablePyObjectDerived.__del_derived__()` refers to an instance's in-dict `__del__`. A FinalizeTrigger calls `FinalizablePyObjectDerived.__del_derived__()` first and - if existent - `__del_builtin__()` after that. A plain `FinalizablePyObject.__del__()` would behave as overridden by `FinalizablePyObjectDerived.__del_derived__()`, i.e. won't be called if the type implements `FinalizablePyObjectDerived`, while `__del_builtin__()` is called in any case.